

//
//
void checkButton(){
  // read the state of the switch into a local variable:
  int reading = digitalRead(buttonPin);

  // check to see if you just pressed the button 
  // (i.e. the input went from LOW to HIGH),  and you've waited 
  // long enough since the last press to ignore any noise:  

  // If the switch changed, due to noise or pressing:
  if (reading != prevButtonState) {
    // reset the debouncing timer
    lastDebounceTime = millis();
  } 

  if (millis()>= (lastDebounceTime+ debounceDelay))  {
    // whatever the reading is at, it's been there for longer
    // than the debounce delay, so take it as the actual current state:
    buttonState = reading;

    if (buttonState==HIGH && (millis()>=(lastToggleTime+toggleDelay))){
      state_toggle=!state_toggle; 

      if (state_toggle){  
        scanNum=0;
        maxScanNum=initScanNum;
        demo_flag=true;
        state=STATE_SCAN; 
      }
      else{
        // reset      
        state=STATE_RESET;
      } 
      
      lastToggleTime=millis(); 
    }
  }
  // save the reading.  Next time through the loop,
  // it'll be the lastButtonState:
  prevButtonState = reading;
}


//
void checkLDR(){
  LDRVal=analogRead(LDRpin);        // read light sensor

  // store angles when LDR value is bigger than previous stored LDR value 
  if (LDRVal > prevLDRVal){
    maxPosZ=posZ;
    maxPosY=posY;
    prevLDRVal=LDRVal;
  }
}

//
//
void copyAngle(int angleZ, int angleY){
  posZ = angleZ;
  posY = angleY;
}
//
//
void copyRGB(int red, int green, int blue){
  redVal= red;
  greenVal= green;
  blueVal= blue;
}

//
//
void copyAngleAndColor(){
  copyAngle(arguments[0],arguments[1]);
  copyRGB(arguments[2],arguments[3],arguments[4]);
}
//
//
void setLed( int ledNum, int value ) 
{
  analogWrite( ledNum, value );
}

//
//
void testServos(){
  servoZ.write((minZ+maxZ)/2);
  servoY.write((minY+maxY)/2); 
  delay(800);

  servoZ.write(180);
  delay(800);
  servoZ.write((minZ+maxZ)/2);
  delay(800);
  servoZ.write(0);
  delay(800);
  servoY.write(180);
  delay(800);
  servoY.write((minY+maxY)/2);
  delay(800);
  servoY.write(0);
  delay(800);  
  servoY.write((minY+maxY)/2);
  servoZ.write((minZ+maxZ)/2);
}



